<?php

namespace App\Models;


/**
 * Class HousekeeperOrder
 * @package App\Models
 * 保姆订单
 */
class HousekeeperOrder extends Order
{

    function __construct() {
        parent::__construct("housekeeper_order");
        $fillable = [
            'contents', // 服务内容, 数组形式，多个数量则出现多次
            'people_num', //人口数量
            'area', // 房屋面积
            'server_time', // 服务时间: 全白天/住家
            'rest', // 休息安排
            'notes', // 备注
        ];
        parent::mergeFillable(parent::getFillable(), $fillable);
    }

    /**
     * 获取评论
     */
    public function comments()
    {
        return $this->hasMany('App\Comment');
    }
}
